UnrealEd 2 Guide

Blacksway's
The Guide

This guide is currently based on version 432 of UnrealEd 2.0. I will attempt to keep up with the latest patches (version 436 is out, but there weren't many changes!)

If you are new to Unreal Editing then start with the basic map creation in Concepts!

The Concepts - The good bits, like how to get started, how to clip, how to move around, how to make a basic map, log window and bindable commands etc.

The Toolbox - The left hand toolbox

The MenuBar - The menu bar and icons along the top of the screen

The View Windows - The view windows, their modes

The Pop-up Windows - Texture browsers, build options etc.

2D Editor Tutorials - One of the pop-up windows, but I've done some tutorials and other stuff as well to make it more complete.

The FAQ and Bugs List - Warren Marshalls little FAQ and some other bugs and workarounds/fixes

-------------------------------------------------------------------------------

! WARNING, SOME OF THESE PAGES ARE GRAPHIC INTENSE !

For a guide to UnrealEd Version 1 (Unreal 1, WOT or UT pre-420 patch) then check out Wolf Unreal Site for one of the best beginners guides.


UnrealEd 2 Guide - Toolbox

The Guide -> The Toolbox
[ MODES ] [ CSG ] [ FILTERS ] [ CLIPPING ] [ BUILDERS ]
THE MODES
 | Camera Mode 'Normal' mode. Left click and move the mouse to move around. Left and Right click and move up and down to zoom in and out. Ctrl+Left Mouse moves the currently selected brush or the builder brush Ctrl+Right Mouse rotate the currently selected brush. Shift+Left Mouse move everything apart from the current brush.
 | Scale Mode This allows scaling of the currently selected brush, horizantally with Ctrl+Left Mouse button, and vertically with Ctrl+Right Mouse Button
 | Rotate Mode
 | Texture Pan Mode
 | Texture Rotate Mdoe
 | Vertex Editing Mode The newest kid on the Block.
 | Enters you into Clipping Mode When in clipping mode CTRL+Right Mouse places a clipping point.
CLIPPING
 | Clip Selected Brushes After placing the clipping markers, select the brush you wish to clip, and then press this button. This will delete half of the currently selected brush, usually the side away from the 'normal'
 | Split Selected Brushes This will split the selected brush into two brushes. For this operation the position of the normal is unimportant.
 | Flip Clipping Normal This will flip the side of the clipping markers the normal is on.
 | Delete Clipping Markers Deletes all the clipping markers off the screen. Adding a fourth clipping marker has the same effect.
BUILDERS (Right click builders for size options!)
 | Cube Please, do I need to say more!
 | Sheet Note: sheets NEVER collide with players, use thin cubes instead, or place a invisible collision hull behind a sheet. Sheets start out as one-sided, so if they look black then either rotate them or make them two sided (surface properties).
 | Cylinder
 | Cone Note: a 3 sided cone is a pyramid!
 | Tetrahedran (Sphere)
 | Curved Staircase
 | Spiral Staircase
 | Linear Staircase STEPS!
 | BSP Based Terrain
 | Build Volumetric shapes, such as chains and torches (i.e. 2 sheets crossed over).
CSG
 | Add Brush This adds the current builder brush to the world geometry
 | Subtract Brush This subtracts the current builder brush from the world geometry
 | Intersect This intersects the builder brush with the current world geometry, for example if you have subtracted a room from the world, then placing the builder brush half in the room and half in the wall, this would leave the bit in the wall.
 | De-Intersect The opposite of above, this would leave the half in the room.
 | Add Special Brush This is used to add all the special types of brushes to the map including zone portals, invisible collision hulls, water and masked walls.
 | Add Mover This adds the current brush as a mover. Right click for the different types of movers. Check out my Mover reference for more details about movers.
FILTERS
 | Show Selected Actors Only This will hide all actors apart from those currently selected
 | Hide Selected Actors This will hide the currently selected actors
 | Show All Actors This will show all actors
 | Invert Selection This will invert the above selection, can be useful if you start by hiding most of the actors you actually want to work on so you can see more clearly, then hide some more etc until all the ones you wanted are hidden, then flip this switch.
 | Change Camera Speed Change camera move speed from very slow, to medium, to CliffyB style!


UnrealEd 2 Guide - Menubars

The Guide -> The Menubar
[ Text Menubar ] [ Icon Menubar ]
Text Menubar
  • File:
    • New - new font, level, script object or texture KEY - CTRL+N SHORTCUT KEY CONFLICT
    • Open - open a map KEY - CTRL+O
    • Save - save current map KEY - CTRL+L !!! NOTE, NOT CTRL+S !!!
    • Save As - change the save name of the current map
    • Import - Import Unreal Text file (.t3d) (When importing you should always pre-load all texture files used by the file)
    • Export - Export .t3d file
  • Edit:
    • Undo - Undo last action, note that a clip is actually 2 actions, so undo twice KEY - CTRL+Z
    • Redo - redo the last action you undid! KEY - CTRL+Y
    • Search for Actor - search the current level for actors, you can dynamically filter on Name (which is the object class, followed by a number) the event field or the tag field. Double clicking on the name of the object moves all views to center on that actor.
    • Cut - copies the selected brush or actor to the clipboard and then deletes it. Just out of interest I tried to copy and paste the active (builder) brush and got for my troubles a none-add, none-subtract brush, very bizarre! KEY - CTRL+X
    • Copy - copies the current brush or actor to the clipboard KEY - CTRL+C
    • Paste - pastes the clipboard KEY - CTRL+V
    • Duplicate - makes a duplicate of the currently selected brush or actor (or plural!) KEY - CTRL+W
    • Delete - deleted the currently selected brushes or actors KEY - DEL
    • Select None - de-selects all actors and brushes KEY - SHFT+Z
    • Select All Actors - selects all actors KEY - SHFT+A
    • Select All Surfaces - moves from actor/brush selection to surface selection and selects all surfaces in the level KEY - SHFT+S
    • Select Surfaces ->
      • Matching Groups - CRASHES UNREALED! DO NOT USE KEY - SHFT+G
      • Matching Items - Appears to do the same as Matching Brush?
      • Matching Brush - selects all the surfaces of any brushes with currently selected surfaces
      • Matching Texture - selects all the surfaces the same as any currently selected textures.
      • All Adjacent - selects all adjacent surfaces, just keeps goign! KEY - SHFT+J
      • Adjacent Coplanars - selects surfaces which are adjacent and in the same plane and size (e.g. for a wall the 2 surfaces must be in parrallel and where they meet be exactly the same size) KEY - SHFT+C
      • Adjacent Walls - will select all vertical surfaces which connect with the current surface KEY - SHFT+W
      • Adjacent Floor/Ceilings - selects all the horizantal surfaces which select with the current one. If the current surface is a wall then both floor and ceiling will be selected. KEY - SHFT+F
      • Adjacent Slants - not sure, oh and there is a shortcut key conflict, as it says this is SHFT+S, which is actually select all surfaces! SHORTCUT KEY CONFLICT
      • Reverse - reverses the current surface selection level wide. KEY - SHFT+Q
      • Memorize Set - stores the currently selected surfaces in memory KEY - SHFT+M
      • Recall Memory - recalls the memory surfaces and makes them the selected ones KEY - SHFT+R
      • Or With Memory - selects all the surfaces that are currently selected and all those in memory. DOESN'T APPEAR TO WORK FROM MENU KEY - SHFT+O
      • And With Memory - selects those surfaces which are currently selected and are in memory only KEY - SHFT+U
      • Xor With Memory - selects those surfaces which are selected OR are in memory, but deselects those which are in both KEY - SHFT+X
  • View:
    • Log - shows the log window, useful if for some unknown reason a map can't load, or some other unexplained phenomenan. (See Pop-up section)
    • Actor Class Browser - shows the actor browser (See Pop-up section)
    • Group Browser - shows the group browser (See Pop-up section)
    • Master Browser - brings up the master browser, which contains all docked browsers.
    • !!!! THIS HAS DISAPPEARED - Texture Browser - show the texture browser (See Pop-up section)
    • Mesh Browser - shows the mesh browser (boy is this getting repetative!) (See Pop-up section)
    • Music Browser - music ... (See Pop-up section)
    • Script Editor - (See Pop-up section)
    • Sound Browser - sound browser... (See Pop-up section)
    • Actor Properties - shows the properties of the currently selected actor or actors. (See Pop-up section) KEY - F4
    • Surface Properties - shows the properties of the currently selected surface or surfaces. (See Pop-up section) KEY - F5
    • Level Properties - (See Pop-up section) KEY - F6
    • Advanced Options - This is where you get to change lots of advanced options, again (See Pop-up section)
    • Viewports ->
      • Floating - change the viewports from fixed (default) to floating. Then you can move them around and resize to your hearts content.
      • Fixed - change the viewports to fixed. The borders disappear and you can no longer resize the views.
      • New Viewport - only enabled when in floating mode. creates a new viewport for your viewing pleasure.
      • Configure - allows you to choose a number of predefined viewport configurations
      • Close All - closes all viewports, use configure to get back to a standard view of the windows.
    • Background Image ->
      • Open - Open a bitmap file to display in the background, behind the viewports (with the default configuration you will not be able to see it!)
      • Clear - clear the bitmap, make the background the default white again.
      • Center - centers the bitmap
      • Tile - tiles the bitmap!
      • Stretch - stretches the bitmap (hey, this is too easy!)
  • Brush:
    • Brush Clip ->
      • Clip - clip the currently selected brush, for all the brush clip operations see Toolbox and Concepts sections for more details.
      • Split - split the current brush into two seperate brushes
      • Flip Normal - flips the normal
      • Delete All Clip Markers - deletes all clip markers.
    • Reset ->
      • Move to Origin - Moves the selected brush to the origin
      • Reset Pivot - Resets the pivot pooint (the point about which roations take place) to the center of the brush
      • Reset Rotation - Resets the rotation of the current selection, essential before making brush into a mover
      • Reset Scaling - Resets the scaling of the current selection, again essential beofre converting brush into a mvoer
      • Reset All - Resets all of the above
    • Add - See toolbox section KEY - CTRL+A
    • Subtract - See toolbox section KEY - CTRL+S
    • Intersect - See toolbox section KEY - CTRL+N SHORTCUT KEY CONFLICT
    • Deintersect - See toolbox section
    • Add Mover - See toolbox section
    • Add Special - See toolbox section
    • Open Brush - Opens brush prefab files (.u3d) KEY - CTRL+B
    • Save Brush As - saves the current brush as a brush file (.u3d)
    • Import - Import one of the following files as the current brush, dxf (Drawing eXchange Format, used by AutoCad and 3DStudio Max), asc (Also used by 3D Studio I think) and t3d (from File->Export).
    • Export - Export the current brush in Unreal Text format (.t3d)
  • Build:
    • Play Level - play the level in Unreal Tournament KEY - CTRL+P
    • Rebuild Geometry Only - redoes the geometry and the bsp calculations. Do this if your 3d view is out of sync. Also available on the menubar
    • Rebuild Lighting Only - redoes the lighting for the level. Also available on the menubar
    • Rebuild AI Paths - redoes the paths for the level. Also available on the menubar
    • Build Options - shows the build options. See pop-up section for more details. KEY - F8
  • Tools:
    • 2D Shape Editor - brings up the 2D shape editor. See the pop-up section for more details.
    • Scale Lights - allows you to scale the brightness of all lights in the level by a given percentage or absolute value.
    • Replace Textures - Allows you to replace one texture with another texture through-out the map. Slight bug at the moment in that you can only bring it up once, and after that it requires a restart to appear.
    • System Plugins - Not yet implemented
    • Level Plugins - Not yet implemented
    • Viewport Plugins - Not yet implemented
  • Help:
    • Nope, this is an unsupported beta product remember! Why do you think you're reading this!
Icon Menubar
All of the buttons below are duplicated within the text menus. I have slit them up into the sections they appear above.
File
New Map, Open Map and Save Map.
Edit
Undo and Redo (N.B. Clipping requires two undos to undo it).
View
Show the browsers, Texture, Actor, SOund and Music in that order.
Bring up the Actor Property, and the Surface Property windows
Bring up various tools, 2D Editor (Tools), Mesh Browser and Script Editor in that order.
Build
Rebuild Geometry, Relight map, Rebuild Paths and show Build Options in that order.
The final icon is Play!


UnrealEd 2 Guide - FAQ and Bugs

The Guide -> The FAQ and Bugs
Q. How do I view the Textures, the menu item seems to have disappeared | A. You'll just have to use the icon (looks like a painting) as the menu item seems to have disappeared.
Q. There seem to be some shortcut key conflicts | A. Correct, they are as follows:- SHFT+S - Select All Surfaces (Works) and Select Adjacent Slants (Doesn't) CTRL+N - New... (Doesn't Work) and Intersect (Doesn't Work)
Q. Some keys crash UnrealEd or don't work | A. SHFT+G (Select syrface matching groups) crashes UnrealEd Or with Memory - Doesn't work from Menu, use SHFT+O.
Q. Sometimes the tabs do not work correctly, e.g. I change tab and the old tab is still shown. | A. This is a known bug in the current version of UnrealEd 2.0. It has been made better, but still sometimes crops up, especially in the Surface Properties window.
(FIXED 430) Q. I have a problem where an extra vertex seems to be created when I move the builder brush | A. A bug, plain and simple. Reporting to Unreal pps now. To recreate, select 1 or more vertex of the builder brush, deselect the builder brush and then press Ctrl+Right Mouse to move the builder brush. I call this the 9th Vertex Wonder! THIS HAS BEEN FIXED BY REMOVING THE ABILITY TO MOVE WHOLE BRUSHES WHILE IN VERTEX EDITING MODE!
(FIXED 430) Q. I cannot use the mouse at all in the new 425 editor | A. Disable DirectInput inside UT (go to Preferences->Input->Use DirectInput). This should fix the problem.
(FIXED 430) Q. I cannot create a second triangle in the 2D editor | A. Confirmed bug - No fix
FIXED(425) Q. Equations do not work in the edit controls anymore. | A. This did not make it in time for the first version, but it will be in the next version.
FIXED(425) Q. I cannot access all of the brush builders because some of them are off the bottom of the screen. | A. This version of the editor has a minimum usable resolution of 1024x768. If you are running lower than that, you will have to increase your Windows resolution. Future versions will have a scrollable bar on the left side, so this will not be an issue anymore.
FIXED(425) Q. I cannot open any maps/texture packages/sound packages/etc! | A. This version of UnrealEd2 cannot handle pathnames that contain spaces (i.e. "program files"). This is a programming error that will be corrected in the next version. For now, install UT into a directory that does not have spaces in its name.
FIXED(425) Q. When I try to start the new editor, I get the following error message: "Cannot find ini:Engine.Engine.Editor Engine in configuration file". | A. This is due to the editor trying to use "unreal.ini" instead of "unrealtournament.ini". This will be corrected in the next version, but for now you can get around this by copying your "unrealtournament.ini" on top of your "unreal.ini" file.
FIXED(425) Q. I cannot call up the surface properties window, or see any actors in the actor class browser! | A. Something in the code is incompatible with older versions of the file "\windows\system\comctl32.dll". We are working on figuring out what the problem is, and the only workaround at the moment is to get a copy of that file from someone who does not have this problem and copy it on top of yours. Alternatively download latest version of comctl32.dll from my download page HERE
Thanks Warren Marshall for the answer to most of these questions in his mini-FAQ. This solved a lot of my probs!


UnrealEd 2 Guide - 2D Editor

The Guide -> 2D Editor

Welcome to the new 2D Editor. It is much improved over the old one in UnrealEd 1, and has gone through many changes since its first incarnation in UnrealEd 2. It now has some wonderful tools and should be much easier to use.

Firstly I will be going throught each menu, icon and right click, and then I shall do some quick tutorials on the kind of things you can do with the 2d Editor.

  • Menus
  • Toolbar
  • Quick Tutorials
The main window

The 2D editor is an art form in its own right. Their are tutorials elsewhere that look at this in more detail but I will cover the menu options and what they do.


UnrealEd 2 Guide - 2D Editor Menus

The Guide -> 2D Editor -> Menus

Menus:

File Menu

  • File->New
    start a new 2D shape
  • File->Open
    open a saved 2d shape: Note, the file format for 2d shapes is different from all previous versions of the 2d editor, including early versions of UnrealEd 2.
  • File->Save
    save the current 2D shape
  • File->Save As...
    Save under a different filename
  • File->Image->Open From Disk...
    place a bitmap in the background to make your shape around
  • File->Image->Get From Current Texture
    Loads the currently selected texture from the etexture browser into the background.
  • FIle->Image->Delete
    clears the image from the background
  • File->Exit
    close the 2D editor window

Edit Menu

  • Edit->Insert New Shape
    Inserts a new shape in the 2d window
  • Edit->Split Side KEY - CTRL+I
    Splits the currently selected vertex. THe selected vertex is shown by a dark gray line.
  • Edit->Delete
    Deletes the currently selected vertex
  • Edit->Scale Up
    Scales the entire shape up by a factor of 50%
  • Edit->Scale Down
     Scales the entire shape down by a factor of 50%
  • Edit->Rotate 45
     Rotates the shape anti-clockwise about the green pivot point by 45 degrees
  • Edit->Rotate 90
     Rotates as above by 90 degrees
  • Edit->Flip Horizantally
     Flips the shape horizantally, Left-Right
  • Edit->Flip Vertically
     Flips the shape vertically, Top-Bottom
  • Edit->Grid
     Changes the size of the grid, exactly in the same way as main editor.
  • Edit->Segment->Linear
     Changes the current line to a linear line, straight between 2 points
  • Edit->Segment->Bezier
     Change the currently selected segment to a bezier line, great for making the tops of those archways
  • Edit->Segment->Detail
     The amount of points between the 2 end points for a bezier curve, i.e. how smooth it is.

View Menu

  • View->Zoom In
  • View->Zoom Out
    I'm going to let you work these 2 out on your own, cause I'm that kind.

Process Menu

  • Process->Sheet
     creates a flat sheet brush from the current shape
  • Process->Revolve
     rotates the shape about the origin. Options for number of segments per 360 degrees, and how many to produce, e.g. if you choose 8 segments per 360 degrees and only draw 4 the shape will only be half of a full rotation. It will be rotated about the green pivot point.
  • Process->Extrude
     extrudes the current shape (e.g. a square would make a cube or cuboid)
  • Process->Extrude to Point
     Extrudes to a point, come on now work with me... A cube would make a square based pyramid.
  • Process->Extrude to Bevel
     Extrudes to a bevel, which is basically a pyramid with a bit chopped off the top. The Depth is the height of the pyramid and the Cap Height is the height from the base. Therefore is Depth and Cap Height are the same then it is effectively Extrude to Point, and if Cap Height is 0 (which it doesn't actually allow) then it is just Create A Sheet.


UnrealEd 2 Guide - 2D Editor Toolbars

The Guide -> 2D Editor -> Toolbar

Toolbar

  • New
    start a new 2D shape
  • Open
    open a saved 2D shape
  • Save
    save the current shape to a 2d file
  • Rotate 90 Degrees
    rotates the current shape 90 degrees about the origin (green dot)
  • Rotate 45 Degrees
    rorates the current shape 45 degrees
  • Flip Vertically
    flips the current shape vertically about the origin
  • Flip Horizantal
    flips the current shape horizantally about the origin
  • Scale Up
     scale the shape up by 50%
  • Scale Down
     scale the shape down
  • Zoom In
     Go on, guess
  • Zoom Out
     Zoom out on the image
  • Split Segment
    Add a vertex in the middle of the current selected segment
  • Delete
     Delete the seleted vertex
  • Linear Segment
     Changes the currently selected segment to a linear (straight) line between 2 points
  • Bezier Segment
     Changes the currently selected segment to a bezier line, giving you 2 points to create a stylish curve with.
  • Create a Sheet
    creates a flat sheet brush from the current shape
  • Create a Revolved Shape
    rotates the shape about the origin. Options for number of segments per 360 degrees, and how many to produce, e.g. if you choose 8 segments per 360 degrees and only draw 4 the shape will only be half of a full rotation. It will be rotated about the green pivot point.
  • Create an Extruded Shape
    extrudes the current shape (e.g. a square would make a cube or cuboid)
  • Extrude to Point
    Extrudes to a point, come on now work with me... A cube would make a square based pyramid.
    Extrude to Bevel
    Extrudes to a bevel, which is basically a pyramid with a bit chopped off the top. The Depth is the height of the pyramid and the Cap Height is the height from the base. Therefore is Depth and Cap Height are the same then it is effectively Extrude to Point, and if Cap Height is 0 (which it doesn't actually allow) then it is just Create A Sheet.


UnrealEd 2 Guide - 2D Editor Tutorials

The Guide -> 2D Editor - Tutorials
I've put together some basic tutorials on things you can do with the 2D editor. Any problems then feel free to contact me.
  • Making an Archway
  • Making a Corridor
  • Making a Curved Corridor


UnrealEd 2 Guide - 2D Editor Tutorial

The Guide -> 2D Editor -> Tutorials
Making An Archway

We are going to make an archway for a specific texture. The texture I have chosen for simplicity is Door2B in the Ancient package.

The first thing you should therefore do is load this package and select the texture.

For the room all we need is a 512x512x512 box subtracted. Then add a 256x256x16 cube with the arch texture. This should give you the picture on the right.

Then load the 2D editor.

To set the texture as the background choose File->Image->Get From Current Texture. This will load the texture into the background of the editor.

The simplest way to create the cut out section for the door is then to move the 4 corners of the square to the sides of the black area and make top segment a bezier curve. If you then move the bezier points to just above it creating a lovely curve you should end up with something looking like that in picture 2. The green marker is the pivot point of the created shape which can be moved and the red marker is the centre of the shape and cannot be moved.

You can increase the smoothness of the top line by going to Edit->Segment->Detail and choosing say 10 (I think the default is about 4).

Once you are happy with the shape click on the Extrude icon [image] or choose Process->Extrude and enter 16 for the width (or whatever width you made your wall). You will then have a brush in the world which should fit exactly the hole you have.
Note on Rotation
Often when you produce a shape using the 2d editor the resulting brush will be incorrectly oriented, i.e. on its side or upside down. The simplest explanation is to look at the 3 2D views and decide which on is showing the correct side of the shape. For example the above shape might come out with the Top view showing on of the sides, the Right view showing the top and the Side view showing another of the sides. Therefore you would choose the Side view and holding down the Ctrl+Right Mouse buttons rotate the shape till it was the right way up. This should correct the other 2 views at the same time!

The finished article should then look like the image below.


UnrealEd 2 Guide - 2D Editor Tutorial

The Guide -> 2D Editor -> Tutorials
Making A Corridor

Making a corridor is actually a very simple task when you get down to it.

Create a room by cutting 3 256x256x256 cubes out in a straight line, then create another room parallel to this but 512 away.

Set the textures to whatever you want but set the middle wall on the facing sides to the archway texture Door2B in the Ancient package.

You should end up with something looking like the picutre on the right.

Then load the 2D editor.

To set the texture as the background choose File->Image->Get From Current Texture. This will load the texture into the background of the editor.

The simplest way to create the cut out section for the door is then to move the 4 corners of the square to the sides of the black area and make top segment a bezier curve. If you then move the bezier points to just above it creating a lovely curve you should end up with something looking like that in picture 2. The green marker is the pivot point of the created shape which can be moved and the red marker is the centre of the shape and cannot be moved.

You can increase the smoothness of the top line by going to Edit->Segment->Detail and choosing say 10 (I think the default is about 4).

Once you are happy with the shape click on the Extrude icon [image] or choose Process->Extrude and enter 512 for the depth of the corridor.
Note on Rotation
Often when you produce a shape using the 2d editor the resulting brush will be incorrectly oriented, i.e. on its side or upside down. The simplest explanation is to look at the 3 2D views and decide which on is showing the correct side of the shape. For example the above shape might come out with the Top view showing on of the sides, the Right view showing the top and the Side view showing another of the sides. Therefore you would choose the Side view and holding down the Ctrl+Right Mouse buttons rotate the shape till it was the right way up. This should correct the other 2 views at the same time!

You should then be able to move the shape between the 2 archway textures and subtract, creating your corridor. The final product should look something like that on the left.


UnrealEd 2 Guide - 2D Editor Tutorial

The Guide -> 2D Editor -> Tutorials
Making A Curved Corridor

Making a curved corridor is almost identical to making a normal corridor, so follow that tutorial first HERE.

The only difference when making the curved corridor is that instead of clicking the extrude button you must click the revolve button.

First however you must set the point to revolve around. This is the green pivot point and should be moved to either the left or right of the image. The further out you go the longer the corner will be.

For completeness sake I've set up a map which requires a curved corridor on the right.

Load the 2D editor and create exactly the same shape as in the previous tutorial.

Next we need to move the green pivot point, I've moved it 256 to the right of the shape as in the image on the right. I've circled the green pivot point in purple to make it stand out.

If you then click on the Revolve icon or choose Process->Revolve.

For the options for this I usually choose 16 peices for 360, and as we want a 90 corridor I've set Use to 4. This should give you a lovely 90 degree corridor which can fit beautifully into the map.
Note on Rotation
Often when you produce a shape using the 2d editor the resulting brush will be incorrectly oriented, i.e. on its side or upside down. The simplest explanation is to look at the 3 2D views and decide which on is showing the correct side of the shape. For example the above shape might come out with the Top view showing on of the sides, the Right view showing the top and the Side view showing another of the sides. Therefore you would choose the Side view and holding down the Ctrl+Right Mouse buttons rotate the shape till it was the right way up. This should correct the other 2 views at the same time!

You should then be able to move the shape between the 2 archway textures and subtract, creating your corridor. The final product should look something like that on the left.

Trust me, it look sbetter when you play the map....


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts
Getting Started
Where can I get UnrealEd 2, whats the spec, what file formats does it use?
How To Make A Basic Map
This is a bare minimum map, a square room with 1 light. It should show you the basics of UnrealEd 2, and the rest hopefully you should be able to pick up from UnrealEd 1 tutorials.
How to Make a Basic Map - Part 2
I felt the first part didn't cover enough stuff, so I've done a second part!
Version 1 to Version 2 Tutorial
Looks at the toolbars for the 2 versions and tries to compare the 2.
View Basics
All about the view windows, how to move around, how to zoom
Builder Basics
How to select, move and rotate the builder, how to use the new multiple select feature.
Vertex Editing
Vertex editing isn't perhaps as polished as it could be, but it does deserve its own section.
'Editor Console' or Log Commands
Commands that can be entered into the log window or mapped to keys or used to create extra buttons etc....

The rest of this section will cover the concepts involved within UnrealEd 2.0, like how to move around, and how to clip brushes. Plus more getting started questions.

If there is anything you would like to see in here, or anything you wanted to submit even then get in touch!


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> Getting Started
Where do I get UnrealEd 2.0
It it found within patch 420 or later for Unreal Tournament. For some download places check http://unreal.epicgames.com and http://www.unrealtournament.com
What are the system requirements
They are pretty much the same as the system requirements of UT. I've got it running on a AMD K2-400 with 128MB RAM (although I've upgraded to 256MB recently and the memory does help!)

What are the file formats UnrealEd uses

There are a lot of file formats that UnrealEd uses for different things. Most are dedicated Unreal file formats for music, maps (unr), textures (utx) etc. Below are some of the different external formats that you can use with UnrealEd:

  1. WAV
    Used for sound files
  2. S3M
    Used for music files
  3. PCX
    Used for textures, remember that for Unreal the PCX files must be 256 colors, PCX can be higher than this so check! They must also have sides based on powers of 2, so a side must be 2 pixels, 4, 8, 32, 1024 etc. Direct3D doesn't handle textures bigger than 512x512 well.
  4. DXF
    Autocad drawing exchange format. You can use this format to import brush shapes to complex to create in UnrealEd. I haven't played with this much but some programs don't appear to create 'nice' dxf files


UnrealEd 2 Guide - Concepts

The Guide -> Concepts -> Basic Map
How to build a basic map.

This tutorial is the first in a short series on how to use some of the new features in the UnrealEd 2 Editor.

Most of the things you can do with the editor are exactly the same as the ones you can do with the old editor and most of the old tutorials will work just as well, once you know your way around. I do not intend to cover advanced topics in here so if you are at that stage then I hope you are also at the stage where you can use the other tutorials. If you still find anything to hard to understand then you can always email me.

\-Blacksway-\
Make your first room

We will start by making a 512x512x512 room.

Cube Builder Icon Right click on the cube builder icon to the left. Enter 512 in each of the first three boxes for height, width and breadth.

The number 512 is chosen because Unreal works best with powers of 2. 1 foot is about 16 units and therefore 512 makes a large 32x32x32 foot room. You can also enter simple equations in for the values here, for example '=512*4' and then press enter and it will change to '2048'. Cool hey!

Click on the Build and the building brush will now take on the shape of this cube. The building brush is the red wireframe brush in each window. Then you can click on close to get rid of the cube builder options. To recreate the same shape at any time you can left click on the cube builder icon again.

Subtract Icon Now you need to subtract the building brush from the world (as in Unreal the whole world is like a lump of clay and you start by carving bits out of it) by pressing on the Subtract icon to the left.

The lower 3d view should now have a cube appear in it. Holding down the right mouse button and moving the mouse will allow you to swivel the view around. Do this until you can see the floor of you room.
Add a Starting Point

Actor Browser Icon Bring up the actor browser window by clicking on the Chess piece on the toolbar at the top. Navigate down from Actor to NavigationPoint and then click on the little plus symbol next to NavigationPoint. Now move down to PlayerStart and select it by left-clicking on it once.

Now right click with the mouse on the floor of your room in the 3D view and a popup menu appears. Choose Add PlayerStart from near the top and a little joystick should appear in all the views.
Moving Around and adding Light

Next you will need to move your view so you can see the ceiling of the room. If you hold down the left and right mouse buttons together your view will move up and down the z-axis (height). If you move your view downwards and the holding down the right mouse button as above swivel your view so you can see the ceiling of your room.

Now right click on the roof of your room and choose Add Light from the popup menu. Add Light is always on the popup menu and doesn't have to be found in the Actor browser.
Play Your Level

Build All Icon The first step to playing your level is always to BUILD. Click on the Build All icon (a cube and a light bulb together) on the toolbar at the top and you will see the room textures change. This icon builds geometry (and BSP), does the lights and defines your paths. These 3 stages can be done seperately using the 3 icons to the left of the build all icon.

If you ever move or change any brushes (not actors though) you must always do at least the first step before playing your level else you will always die whenever you enter the level.

Play Level Icon You have now created your first room. If you clicked on the Joystick icon at the top to play the level then you would have finished. Warning! I should tell you that if you did do that and you are using UnrealTournament then you would probably die lots as the game usually starts with lots of bots. These bots would all try to appear on your one PlayerStart end kill each other and you. It may therefore be best to backtrack and add another 6 or 7 PlayerStarts around your floor just to make things safe. Alternatively follow the steps outlined inthe notes below.

You have now created your first map. If you need anymore help then check out my links page for tutorial sites and if you're still stuck then email me. Also check out part 2 HERE.

\-Blacksway-\
Notes

1. Always remember to Rebuild!

2. To avoid the situation above where lots of bots are spawning ontop of you go into UT normally, start a practise match with 0 bots and then exit. Next time you test your level you will be the only person playing. Type AddBots at the console to manually add them.


UnrealEd 2 Guide - Concepts

The Guide -> Concepts -> Basic Map Part 2
How to build a basic map - Part 2.

This tutorial is the second in a short series on how to use some of the new features in the UnrealEd 2 Editor.

Most of the things you can do with the editor are exactly the same as the ones you can do with the old editor and most of the old tutorials will work just as well, once you know your way around. I do not intend to cover advanced topics in here so if you are at that stage then I hope you are also at the stage where you can use the other tutorials. If you still find anything to hard to understand then you can always email me.

\-Blacksway-\
Our first room was a bit crap!
Well we started by making a 512x512x512 room. It had this wonderful bubbly texture all over it didn't it, looked a bit crap. Also it was too tall. Well first, lets change the textures..
Lets make it look prettier

Texture Browser The first step is to bring up the texture browser, by pressing the icon to the left (looks like a little landscape painting doesn't it!).

Docking Button Next we are going to dock the texture browser and the actor browser into the master browser. To do this click on the left most icon on the texture pop-up window, shown on the left. Bring up the Actor browser (by pressing the chess piece icon) and do the same for this. Then the 2 browsers will be contained in one window and you can change between the 2 by pressing the relevant tab at the top.

Return to the texture browser. Choose File->Open or click on the open icon and choose a package to load. A package contains a set of texture, which can themselves be seperated into groups. Choose City.utx for the package to open.

In the 3D view window left click once on the floor of your room. It should so that a blue dot-pattern appears on it. Now click on the second texture in the texture window, ALLEY2. You should see the floor change texture.
What about the wall!
Next you want to select all the walls of your little box. Now you could click on them one at a time and then holding down the CTRL button click on the rest, but this would involve lots of moving around to view all 4 walls. A far easier way is to right click on any wall and from the pop-up menu choose Select Surface->Adjacent Walls. All 4 walls in your room are now highlighted. Click on the BRICKWAL texture to texture your walls. You can now rotate the view to show the ceiling and place a texture on it too.
But my room is too high!

Close the texture browser by clicking on the little cross so that you can see all 4 view windows.

The view we are interested in at the moment is the Front view in the top right hand corner.

Holding down the left mouse button and moving the mouse to center your room in the middle of the window and then hold down both mouse buttons to zoom in so that the room covers most of the window.

You may notice that the red builder brush is showing on top of our room. to hide the builder brush you can press B. THen select the brush that is your room so it turns a light brown color.

Then we are going to change into Vertex Editing mode by clicking on the icon to the left. Now to select all the vertexes that make up the 'roof' of your room hold down the CTRL and ALT keys drag a box around the top of your box, making sure to cover both corners shown in the image below.

The 2 corners should now be hightlighted in white (it is actually all 4 vertexes, but you can't see the back 2).

Holding down the CTRL key and the left mouse button you can now move these points down to make the roof lower.
Cor Blimey, anything else!
Well you may have noticed that now the little torch is actually above the roof of your room. So change back to normal mode by clicking on the camera icon and left click on the torch. Now hold on to the CTRL key and press the left mouse button to move it down, back below the roof of your room.
Lastly
REBUILD! If I've had to say this once I've said it lots of times to people who email me, rebuild, rebuild, rebuild! Now you've done that you can play your newly texture level and away you go.

If you need anymore help then check out my links page for tutorial sites and if you're still stuck then email me

\-Blacksway-\


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> View Basics
How do I move around the view window
Lets split this into 2 sections, the 2D window and the 3D window
2D-Views
  • Left-Mouse
    With the left mouse button held down you can scroll around the map
  • Left+Right-Mouse
    With moth the left and the right mouse button held down you can zoom in and out
3D-Views
  • Left-Mouse
    The left mouse will allow you to rotate your view
  • Right-Mouse
    the right mouse allows you to move forwards and backwards and rotate left and right
  • Left+Right Mouse
    With both held down you can move up and down and from side to side.


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> Builder Basics
How do I select a brush

To select a brush click on it with the left mouse button.

If no brush is selected then the following actions will be applied to the builder brush by default
How do I move or rotate the brush

Holding the Ctrl and Left-Mouse button will move the brush around the map.

Holding the Shft and Left-Mouse button will move the background, keeping the brush in the center of the screen.

Holding the Ctrl and Right-Mouse button will rotate the brush around its pivot point.
How do I move around the view?

Check out the View Basics section...
How do I use the new Drag-Select function

The function is used by holding down the Ctrl+Alt keys, then left clicking and dragging a box around one or more actors. It is best if you release the mouse button before releasing the keys, as sometimes it might leave the box on screen if you do it the other way around

The actors which are selected are defined by those whose pivot points are contained within the drag-box.


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> Version 1 to Version 2
This tutorial should hopefully help people converting from UnrealEd 1 tutorials to UnrealEd 2 by giving a step by step icon/feature comparision.
1 - Add Brush |  | 22 - Snap Scale Brush |
2 - Subtract Brush |  | 23 - Select All Textures | Edit->Select All Surfaces
3 - Intersect |  | 24 - Select All Brushs/Actors | Edit->Select All Actors
4 - De-intersect |  | 25 - Select All Actors Inside Builder Brush | Not available - use the Drag Box to select more than one actor
5 - Add Special |  | 26 - Select None | Edit->Select None
6 - Add Mover |  | 27 - Invert Brush+Actor Selection |
7 - Cube Builder |  | 28 - Replace Brush with builder shape | Not Available
8 - Opps (sorry, missed 8 out..) |  | 29 - Replace Selected Actors with Actor from Class Menu | Not Available
9 - Sphere Builder |  | 30 - Undo | Menu Edit->Undo or MenuBar at top
10 - Cylinder Builder |  | 31 - Redo | Menu Edit->Redo or MenuBar at top
11 - Cone Builder |  | 32 - Texture Pan |
12 - Stairs Builder |  | 33 - Texture Rotate |
13 - Spiral Stairs Builder |  | 34 - Hide All but selected |
14 - Curved Stairs Builder |  | 35 - Show All |
15 - Sheet Builder |  | 36 - Hide S |
16 - Camera Mode |  | 37 - Hide Z-Axis | What was this ever meant to do?
17 - Zoom Mode | What the Hell did this do? | 38 - Vertex Snapping |
18 - Brush Rotate |  | 39 - Get Help | Never worked, probably never will
19 - Brush Skew | Use Vertex Manipulation instead | 40 - Camera Speed |
20 - Brush Scale |  | 41 - Toggle Grid Mode |
21 - Brush Stretch |  | 42 - Toggle Rotation Grid |
Notes

20, 21 and 22 are all the same function, but the snapping of the grid depends on whether you have the Grid Mode on or off (41). 20 - Brush scale actually scaled all 3 axis at once, which technically the new function doesn't do.

You should also note that a lot of stuff has been added that is not shown here.


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> Mapping Key Commands

Below is a list of commands which can be mapped to keys. Simply edit the USER.INI file and assign them to a key.

As of UnrealEd 2 you can also assgin them to user-defined buttons by adding the following to UNREALED.INI as follows:

[UserDefinedGroup]
NumButtons=1
Button0=Camera Move Mode,ModeCamera,MODE CAMERAMOVE

Each button has 3 parts, 1: Tooltip text, 2: Image filename, must be 30x30 BMP and in EditorRes directory, 3: Command

Changing Modes
MODE BRUSHCLIP | Change to brush clipping mode
MODE BRUSHROTATE | Changes to brush rotate mode
MODE BRUSHSCALE | Changes to brush scaling mode
MODE BRUSHSHEER | Changes to brush sheer mode
MODE BRUSHSNAP | Changes to brush snap mode
MODE BRUSHSTRETCH | Changes to brush stretching mode
MODE CAMERAMOVE | Changes to camera moving mode
MODE CAMERAZOOM | Changes to camera zoom mode
MODE GRID=[1,0] | Turns grid on or off (1 = On, 0 = Off)
MODE FACEDRAG | Changes to the new Face Drag mode. What you have to do is select a brush and then enter this mode. Then press CTRL+Left Mouse to one side of the brush and you can move that face.
MODE MAPEXT=[1,0]
MODE ROTGRID=[1,0] | Turns rotational grid on or off (1 = On, 0 = Off)
MODE SHOWVERTICES=[1,0] | Turns vertices on or off (1 = On, 0 = Off)
MODE SNAPDIST=x | Distance of vertex to grid intersection before snapping to it
MODE SNAPVERTEX=[1,0] | Turns vertex snap on or off (1 = On, 0 = Off)
MODE SPEED=[1,2,3] | Changes movement speed 1,2, or 3
MODE TEXTURELOCK=[1,0] | Turns texture lock on or off (1 = On, 0 = Off) - If texture lock is on then textures will not be reset on brushes that are vetex manipulated
MODE TEXTUREPAN | Changes to texture pan mode
MODE TEXTUREROTATE | Changes to texture rotate mode
MODE TEXTURESCALE | Changes to texture scaling mode
MODE VERTEXEDIT | Change to vertex editing mode

Actor and Brush Commands
ACTOR ADD CLASS= | add actor of class (ie: CLASS=ASMD)
ACTOR APPLYTRANSFORM | applies the transform permanently to selected brushes
ACTOR CLIP Z | In wireframe view it culls brushes that are after a certain distance. The distance being determined by where the Active brush is when it's pressed. Press again to disable. Useful for complex maps.
ACTOR DELETE | deletes currently selected actor
ACTOR DUPLICATE | duplicates currently selected actor
ACTOR HIDE SELECTED | hides the currently selected actors / brushes
ACTOR HIDE UNSELECTED | hides any actors / brushes that are not currently selected
ACTOR KEYFRAME NUM=# | set the current actor to key frame number #
ACTOR MIRROR [X,Y,Z] | mirrors the selected actor about the X, Y or Z axis
ACTOR REPLACE BRUSH | replace selected brush with the builder brush (ie. If you select an added brush and issue this command it will be replaced with another added brush that is the shape of the current builder brush, same for all other brush types)
ACTOR REPLACE CLASS | replace selected actor with actor of class type (ie: CLASS=ASMD)
ACTOR RESET ALL | resets the selected brush (Location, Pivot,Rotation and Scale
ACTOR RESET LOCATION | resets the selected brush's Location
ACTOR RESET PIVOT | resets the selected brush's Pivot
ACTOR RESET ROTATION | resets the selected brush's Rotation
ACTOR RESET SCALE | resets the selected brush's Scale
ACTOR SELECT ALL | selects all brushes / actors within the map
ACTOR SELECT DELETED ???
ACTOR SELECT INSIDE | selects all brushes / actors within the builder brush
ACTOR SELECT INVERT | inverts the state of selected to unselected and vice versa
ACTOR SELECT NONE | deselect the selected actors
ACTOR SELECT OFCLASS CLASS= | selects all actors of class type
ACTOR SELECT OFSUBCLASS CLASS= | selects all actors of subclass type
ACTOR UNHIDE ALL | shows all actors / brushes that may have been hidden
BRUSH ADD | creates an additive brush
BRUSH ADDMOVER | creates a mover brush
BRUSH APPLYTRANSFORM | transform the selected brush permanetly
BRUSH FROM DEINTERSECTION | creates new brush from the deintersection operation
BRUSH FROM INTERSECTION | creates new brush from the intersection operation
BRUSH MORE ???
BRUSH SET ???
BRUSH SUBTRACT | creates a subtractive brush
BRUSHCLIP | performs the clipping operation on the selected brush
BRUSHCLIP DELETE | deletes the clip markers used to perform brush clipping operation
BRUSHCLIP FLIP | flips selection arrow denoting what side of brush to clip
BRUSHCLIP SPLIT | splits the selected brush along the clipping plane
Texture Commands
POLY DEFAULT TEXTURE= | sets the default texture in the texture browser
POLY SELECT ADJACENT ALL | selects all adjacent polys
POLY SELECT ADJACENT CEILINGS | selects all adjacent ceiling polys
POLY SELECT ADJACENT COPLANARS | selects all adjacent coplaner polys
POLY SELECT ADJACENT FLOORS | selects all adjacent floor polys
POLY SELECT ADJACENT SLANTS | selects all adjacent polys on the same slant
POLY SELECT ADJACENT WALLS | selects all adjacent wall polys
POLY SELECT ALL | selects all polys in the map
POLY SELECT MATCHING TEXTURE | selects all matching surfaces that share the same applied texture
POLY SELECT MEMORY | selects any polys that have been remembered in memory
POLY SELECT NONE | deselect any currently selected poly
POLY SELECT REVERSE | inverts the state of selected to unselected and vice versa
POLY SELECT ZONE | selects all polys in the current zone
POLY SET TEXTURE= | sets the poly to the given texture
POLY SETTEXTURE | sets the poly to the current selected texture
POLY TEXALIGN FLOOR | aligns the textures to the floor plane
POLY TEXALIGN ONETILE | aligns textures to one tile fitting
POLY TEXALIGN WALLCOLUMN | aligns texture to Wallcolumn
POLY TEXALIGN WALLDIR | aligns the textures to the wall plane
POLY TEXALIGN WALLPAN | pans out the textures on the wall plane
POLY TEXINFO | displays information about the texture like scaling multipliers
POLY TEXMULT UU=# VV=# UV=# VU=# | multiplies the scaling of the current texture from whatever it is now, UU and VV normal, UV and VU are skewing directions.
POLY TEXPAN U=# V=# | pans textures along the U and V axis by the supplied number of units
POLY TEXSCALE UU= # VV= # UV= # VU= # | Scales the texture by numbers entered for U and V and skews the texture for numbers entered for UV and VU. This is an absolute scaling, whereas TEXMULT is a relative one.
TEXTURE APPLYDETAIL | Apply the "current detail texture" to the texture selected in the texture browser
TEXTURE BATCHAPPLY DETAIL=[DetailTextureName | None] [PREFIX=TextureNameMatchingPrefix] [OVERRIDE=[TRUE | FALSE]] | Search through all texture packages optionally searching for matches against the "TextureNameMatchingPrefix" for all textures found, apply DetailTextureName as the new detail texture. If a detail texture already exists and OVERRIDE=FALSE, then skip the texture
TEXTURE CLEAR | For Fire textures, clears any 'blotches' (I don't know how to describe this any better, sorry!)
TEXTURE CLEARDETAIL | Clear the current detail texture
TEXTURE CULL | Remove Textures references on all Non Visible Surfaces
TEXTURE REPLACEDETAIL | Search through all texture packages for occurrences of detail textures that match the texture currently selected in the texture browser. If a match is found, replace the texture's detail texture with the "current detail texture.
TEXTURE SCALE DELTA=# ???
TEXTURE SETDETAIL | Set the "current detail texture" to the current the texture browser selection
Miscellaneous
BSP REBUILD [LAME/GOOD/OPTIMAL] [BALANCE=0-100] [LIGHTS] [MAPS] [REJECT] | rebuild BSP with default settings or custom settings in brackets
CAMERA ALIGN | aligns all cameras on the currently selected actors/ brushes
CAMERA CLOSE FREE | closes all free viewports or FREE can be substituded for the name of a specific viewport
CAMERA HIDESTANDARD | hides all standard viewports
CAMERA OPEN | opens a new viewport
CAMERA UPDATE | updates viewport
CLASS LOAD FILE= | load class from file
CLASS NEW | create new class
CLASS SPEW ALL | exports all scripts to your UT folder, folders are created for each class. ALL can replaced with specific class (ie BOTPACK)
DELETE | deletes selected actors / brushes
DUPLICATE | duplicates selected actors / brushes
EDCALLBACK SURFPROPS | bring up the surface properties of selected poly
EDIT COPY | copies selected actors / brushes
EDIT CUT | cuts selected actors / brushes
EDIT PASTE | pastes selected actors / brushes
JUMPTO X,Y,Z | puts all viewports centered on entered coordinates
LEVEL LINKS | update teleporter links
LEVEL REDRAW | redraws the level views updating any changes
LEVEL VALIDATE | validate the level, find errors
LIGHT APPLY | applies lights in your level
LSTATS | displays lighting stats
MAP [LOAD/SAVE/IMPORT/EXPORT] FILE= | executes the load, save and import commands with the given filename
MAP BRUSH GET | copy selected brush to builder brush
MAP BRUSH PUT | move selected brush to builder brush location and take on shape of builder brush
MAP NEW | start new map
MAP REBUILD | rebuild map (geometry/bsp)
MAP SELECT ADDS | selects all additive brushes in the map
MAP SELECT FIRST | select the first created brush in the level
MAP SELECT LAST | select the last created brush in the level
MAP SELECT NONSOLIDS | selects all nonsolid brushes in the map
MAP SELECT SEMISOLIDS | selects all semisolid brushes in the map
MAP SELECT SUBTRACTS | selects all subtractive brushes in the map
MAP SENDTO FIRST | send selected brush to the beginning of the bulding process
MAP SENDTO LAST | send selected brush to the end of the building process
PATHS BUILD | auto create pathnode network - opt=1
PATHS BUILD HIGHOPT | auto create pathnode network - opt=2
PATHS BUILD LOWOPT | auto create pathnode network - opt=0
PATHS DEFINE | create reachspecs
PATHS HIDE | hide pathnodes
PATHS REMOVE | remove all pathnodes
PATHS SHOW | show pathnodes
PATHS UNDEFINE | remove all reachspecs
PIVOT HERE | places a pivot a the previously selected grid point
PIVOT SNAPPED | snaps pivot to grid
SCRIPT MAKE | compile scripts
SELECT NONE | deselect any selected actor
SETCURRENTCLASS CLASS=<ClassName> | set the current class to <ClassName>
SHOWINV | toggle the showing of inventory spots
TRANSACTION REDO | redo previous action
TRANSACTION UNDO | undo previous action


UnrealEd 2 Guide - Concepts

The Guide -> The Concepts -> Vertex Editing
How to go into vertex editing mode?

To enter vertex editing mode, click the vertex editing button is the modes section of the left hand toolbox.

You can also bind a key to switch vertex editing on and off. Bind a key to the following command:
MODE SHOWVERTICES -1

Are there any other things I should know before I start?
  1. Set the vertex color to something bright (like white)
    Goto View->Advanced Options->Editor->Color->C_BrushVertex and change it to white
    This will mean that the vertexes should now show up properly
    N.B. Post version 430 this should be set up automatically.
  2. You can screw up your complete map if you get this wrong, so always do a save!
  3. Don't forget you can create 'invalid' surfaces if your not careful, e.g. a square surface with one vertex below all the others is not valid
  4. I've had lots of trouble with single vertex editing and always use the drag-select detailed below
  5. I've come across various glitches on my PC check out my "Vertex Bugs" at the bottom!
How do i select one or more vertex

The first thing you must do is select the brush you want to edit. Simple clicking on the brush should accomplish this task.

Clicking on the vertex should select each vertex. (It doesn't work on my PC, but hey, thats life)

Holding down control and clicking should select more than one vertex.
How do I use the new Drag-Select function with Vertexes?

The function is used by holding down the Ctrl+Alt keys, then left clicking and dragging a box around one or more vertexes. It is best if you release the mouse button before releasing the keys, as sometimes it might leave the box on screen if you do it the other way around.

If you want to select vertexes from more than one brush then hold down the Ctrl key and select the brushes in the normal way, you will see their vertexes appear as you do. Then you can select their vertexes in the the above manner or using the Drag-Select manner described here.

The vertexes which are selected are defined by those which are contained within the drag-box.
How do I move Vertexes?

You move vertexes exactly like you move brushes, holding down the Ctrl key and Left-Mouse button and moving the mouse. I find it is best to press the Ctrl key first, then the mouse button. After moving depress the mouse button before releasing the Ctrl key.

If you select some vertexes and then click in another view it may deselect your vertexes. If you hold down the Ctrl key as you click on the next view this should keep them selected.
Vertex Bugs? My Experiences

Aside from the above mentioned fact that I cannot get single selection of vertexes to work I have to say that vertex editing finally seems to have settled down.

One reason for this is I believe the fact that you can no longer move and entire brush while in vertex editing mode (aside from selecting all the vertexes obviously!)


UnrealEd 2 Guide - Popups

The Guide -> Popups

The biggest change with the browsers is that they can all be docked into the master browser. The dock/undock icon is always the top left icon in each browser window.

As some of the images in this section are quite large I've split in up into sections. Below is a list of the different pop-up windows.

[ Browsers ]

  • Actor Browser
  • Group Browser
  • Texture Browser
  • Sound Browser
  • Music Browser
  • Mesh Viewer

[ Properties ]

  • Actor Properties
  • Surface Properties
  • Build Options

[ Others ]

  • Builder Options
  • Script Edit
  • 2D Editor
  • Log Window


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Actor Browser

The actor window shows the 'actor' objects available within Unreal Tournament. Their are far to many to go through here, check my web-site for reference materials on some of them.

The Icons are as follows:

Dock/Undock from the Master browser
Open a actor package
Save the current package
Create a new object, using the currently selected actor as its parent.
Edits the currently selected actor in the script editor
Edit the default properties of the current actor

Right-Clicking on a class will give you a number of options. These options are also available from the Class menu option.

  • Class->New
    Create a new class
  • Class->Edit Script...
    Loads the script into the script editor
  • Class->Default Properties
    Shows the actors default properties.

To show all classes (not just the actor ones) untick the box that says Actor classes only.

The bottom half of the window can be made to show loaded packages (as seen here)by choosing the menu option View->Show Packages

The other menu options are as follows:

  • File->Open Package
    opens a package that currently isn't loaded
  • File->Save Selected Package
    saves the package of the currently selected class. Do this after compiling any code changes
  • File->Export Changed Scripts
    will export and script changes to the relevant .uc file
  • File->Export All Scripts
    will export all the scripts to the .uc files, creating the directory structure as it goes.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Texture Browser

The Texture browser shows the currently loaded textures. When you load UnrealEd then no texture packages are loaded by default. Whenever you load a map, only those textures included in the map are loaded into the editor, not the whole packages.

Icons:

Dock/Undock from the Master browser
Open a texture package
Save the current package
Edit the default properties of the current actor
Move to the previous group
Move to the next group

To load a package choose File->Open and load one of the .utx files.

If you want to create your own package then simply create a new texture (File->New) and set its Package to the new package name you require. After you have done this you then need to save the package by choosing File->Save.

The drop down boxes contain a list of the loaded packages and then a list of the groups within the current package. Click on the All check box to show all textures from the current package. Note, some textures do not have a group and will not show up unless you tick the All button.

Other menu options

  • Zoom
    change the zoom of the textures, choose from 32, 64, 128 or 256
  • Files->Export
    export the currently selected texture to a pcx file
  • Files->Import
    import a pcx file (remember, only 256 colors!) into a package
    a special package is the MyLevel package, which as its name suggests is the current level, and will not be stored in a seperate texture package.
  • Edit->Properties
    brings up the properties of the texture. This allows you to set lots of different properties, and if you get into making your own animated or fire textures then this is where you can set them all.
  • Edit->Delete
     Delete the current texture from the package
  • Edit->Rename
     Rename the current texture
  • View->Docked
     Change the docked status of the texture browser
  • View->Set Size
     Sets the fixed size of all textures, i.e. they all appear the same shape (square) and the same size
  • View->Variable Size
     With this option the textures will appear at a certain percentage of their original size and shape.

The Filter box at the bottom does as it suggests, allows you to filter on the names of the textures in the current package.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Sound Browser

The sound browser, much like the texture browser show only those sounds in packages which have been loaded.

The top drop down box shows the loaded packages. The next shows the groups within the selected package. The list shows the sounds.

Play: Stop:

To play a sound select it and click on Play. If it is a looping sound then you can click on Stop to stop it.

Menu options:

  • File->Open
    opens a package
  • File->Save
    saves any changes to the current package
  • File->Export to WAV...
    saves the current sound as a wav audio file
  • File->Import from WAV...
    imports a wav into the editor
  • Edit->Delete
    deletes a sound from the package
  • Edit->Play
  • Edit->Stop
     Play or stop the sound
  • View->Docked
     Changes the docked status of the browser


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Mesh Viewer

This allows you to browse through the weapons, decorations and player models available to you. As far as I am aware you cannot export the meshs for the models.

The drop down lists the meshs available to you (shown is the Unreal 1 8-Ball rocket launcher).

Hold down the left-mouse button and move the mouse to zoom in and out.

Hold down the right-mouse button and move the mouse to rotate the mesh.

The list box shows the different animations for each mesh, along with the number of frames in each animation. Youcan choose an animation and then press Play to play the animation. Press Stop to stop the animation.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Group Browser

This is a new feature added to the latest version of UnrealEd.

Basically and brush created belongs to a group called "None".

If you select a number of brushes and click the New Group icon then they are automatically added to this new group. However they still belong to the "None" group but can now be removed from it...

Icons

Dock/Undock browser
Create new group (you must have at least one brush selected to do this!)
Delete group (this does not delete the brushes)
Add selected brushes to the selected group
Delete the selected brushes from the selected group
Refresh the group list (e.g. any groups no longer containing any brushes will disappear)
select brushes in currently selected group
de-select brushes in currently selected group

Brushes will only be shown in the 2d views (has no effect on 3d views) if all the groups they belong to are ticked. e.g. If they belong to Group1 and Group2 and you untick Group1 then they will disappear.

Note: Group information is saved with the map.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Music Browser

Probably the simplest browser window. Lists the loaded packages.

You can click Play to play the music and Stop to stop playing the music.

Menu options

  • File->Open
    open a music package
  • File->Save
    save the package as a new name
  • File->Export
  • exports the file to a .S3M file. Unfortunately it names it .WAV. Rename the file with a .S3M extension and winamp will then play it.
  • Files->Import
    I don't know that much about music, but I'm guessing you have to create a S3M file, rename it as .WAV and then import it into UnrealEd.
  • Edit->Play
  • Edit->Stop
     Guess what, play the music and stop the music!
  • View->Docked
     Changes the docking status of the browser


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Other Windows
Builder Options

This shows the builder option for each builder type (Cube, Cone etc).

The options are different depending on the builder type, but here we have the basics for the Cube builder.
Log Window

Shows the log of certain actions. If some action doesn't work for some reason then load this up and see if there are any errors.

You can also enter commands here if you know what they are.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Script Editor
This is the much improved script editor.

A list of loaded scripts is displayed on the left hand side and one the right a big blue area for the currently displayed script.

Menu Options:

  • File->Export Changed Script
    exports any changes you've made to the relevant .uc file
  • File->Export All Scipts
    exports all scripts to their relevant .uc files
  • File->Close
    closes the currently displayed script
  • Tools->Compile Changed
    changed code must becompiled into the .u file. This will compile only changed files
  • Tools->Compile All
    compiles all the scripts

Icons:

Close the current script
Compile all changed scripts (remember to save the pacakges after doing this!)
Compile all scripts
Open the actor browser window (but if its already open in the background then it does nothing)
Find text in current script
Find previous case of above
Find next case of above


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Build Options

The main build options tab.

It is best (as adviced by Epic) not to play with these settings unless you really must.

Changing the first slider (Balance Tree) has been known to correct BSP errors in maps sometimes

Clicking on Build will perform all the selected functions, including rebuilding paths.

Create New Path Network will try to place PathNodes in your map by itself. This can be good, and can be bad.

Information on the number of Polygons etc in your level.


UnrealEd 2 Guide - Popups

The Guide -> Popups -> Properties
  • Actor Properties
  • Surface Properties
Actor Properties

The image to the left shows the actor properties window. This can be brought up by right clicking on an actor and selecting properties, by presseing the actor properties button on the menubar or pressing F4

The Level properties window is the same except shows the properties for the current level and is displayed by pressing F6
Surface Properties

Bring up the surfaces window by pressing F5 or right clicking on the surface and choosing properties.
NEW IN 425! The texture pack and name is now displayed at the top of the properties dialog box

The first tab shows various tick boxes for properties for the selected surface.

  • Invisible - The surface cannot be seen
  • Masked - The surface contains 'blank' bits, e.g. a grate or a fence effect
  • Translucent - The surface is see-through, e.g. water or glass
  • Force View Zone - don't know
  • Modulated - not sure
  • Fake Backdrop - select this is this surface is to show the sky
  • Two Sided - the texture will show on both sides of the surface (pointless for brushes, but useful for sheets
  • U-Pan - the texture moves horizantally
  • V-Pan - the texture moves vertically. To get a texture panning the other way, flip it.
  • High Shadow Detail - The detail of the shadow.
  • Low Shadow Detail - For large outdoor areas you can choose High and Low to give Super Low.
  • No Smooth -
  • Special Poly - something special no doubt
  • Small Wavy - a ripple like effect
  • Dirty Shadows -
  • Bright Corners - The surface is lit evenly
  • Special Lit - Only lit by lights with bSpecialLit set to true
  • No Bounds Reject - No idea
  • Unlit - the texture is unlit, and remains at its full brightness.
  • Portal - this surface is a portal. Usually you would use Add Special Brush to add a portal sheet or brush, and not set this manually
  • Mirror - makes it a mirror, this plus translucent makes it a reflective texture (e.g. marble)

This tab is used to rotate, pan and align textures.

Most of it is hopefully self explanatory.

U stands for Horizantal and V stands for Vertical.

You've got Panning (moving the texture up/down/left and right), Rotation, Scaling and Alignment.

This final tab gives various statistics on the surface.


UnrealEd 2 Guide - View Windows

The Guide -> The View Windows
From Left to Right: Top - Shows the mode of the view. Right click for the menu options shown below Joystick - Turn Realtime Preview on or off. This means when you move blocks etc in other views this view will immediately show the changes. This will slow your PC down. KEY - P T - Top view mode, view the world from the top KEY - ALT+7 F - Front view mode, view the world from the front KEY - ALT+8 S - Side view mode, view the world from the side. All these modes are wireframe. KEY - ALT+9 The remaining symbols are the 3D modes explained later, and are as follows: Wireframe, Texture Usage, BSP Cuts, Textured, Dynamic Lighting, Zone/Portals. KEY - ALT+1 to ALT+6 (NOT IN ORDER)
Right Click Menu Options
The first menu option gives the modes for the view in exactly the same way that the icons along the top do. I will assume you can work out what the Top, Front and Side views are all about. The remaining modes are shown below:
Wireframe (or Perpective) KEY - ALT+1 | This view shows you the basic geometry of your map. The colour coding goes something like this: blue - added gemotry brown - subtracted geomtry purple - movers green - portals pink - semi-solid red - triggers
Texture Usage KEY - ALT+3 | This shows allthe different textures used within a level. The more textures, the more different colours.
BSP Cuts KEY - ALT+4 | This shows the way the BSP engine has slit the geometry into triangles, which is all the engine can really display. The more cuts the higher your poly count and node count are going to be. To try reducing BSP cuts, try making some geomtry which the player does not touch into semi-solid, and also moving some structures apart slightly so that large faces do not need to be slit into smaller ones.
Textured KEY - ALT+6 | The standard texture view, and probably the one most people use for most of the map, especially as its quicker than the dynamic lighting one below.
Dynamic Lighting KEY - ALT+5 | This show allt he textures and lighting as last calculated when the build was run. If you do not run the lights option in build then this view will look identical to the one above.
Zone/Portal KEY - ALT+2 | This view show the individual zones in a level. Good for checking to see if that water zone is completely closed off.
View Right-Click Menu
 | Show Active Brush: shows the builder brush KEY - B Show Moving Brushes: shows moving brushes, even through other geometry, can slow the view down Show Backdrop: Does this work! Show Coordinates:What does this do? Show Paths: Shows the paths between path nodes etc.
Actors Right-Click Menu
 | Full Actor View: Shows weapons etc as their meshes Icon View: Shows all actors as icons, including brushes Radii View: Like Full, but shows a red circle around relevant actors, triggers etc Hide Actors: Hides weapons, inventory etc, just leaving brushes
Window Right-Click Menu
 | 16-bit or 32-bit folks. Doesn't make that much difference on my PC.